#ifndef KONQBOOKMARKMANAGER_H
#define KONQBOOKMARKMANAGER_H

#include <kbookmarkmanager.h>
#include <kstandarddirs.h>
#include <kurl.h>
#include <kio/job.h>
#include <libkonq_export.h>

class LIBKONQ_EXPORT KonqBookmarkManager
{
public:
    static KBookmarkManager * self() {
        if ( !s_bookmarkManager )
        {
			QString globalBookmarkFile = locate( "data",  QString::fromLatin1( "konqueror/bookmarks.xml" ) );
            QString bookmarksFile = locateLocal("data", QString::fromLatin1("konqueror/bookmarks.xml"), true);
			if ( globalBookmarkFile != QString::null && bookmarksFile == QString::null )
				KIO::file_copy( 
						KURL::fromPathOrURL( globalBookmarkFile ), 
						KURL::fromPathOrURL( bookmarksFile ), -1, false, false
						 );

            s_bookmarkManager = KBookmarkManager::managerForFile( bookmarksFile );
        }
        return s_bookmarkManager;
    }

private:
    static KBookmarkManager *s_bookmarkManager;
};

#endif
